> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token claims

> Get all available token claims for a given website and organization



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/token_claims
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/token_claims:
    get:
      tags:
        - Token Claims
      summary: Get token claims
      description: Get all available token claims for a given website and organization
      parameters:
        - name: contractId
          in: query
          schema:
            type: string
            format: uuid
        - name: websiteId
          in: query
          schema:
            type: string
            format: uuid
        - name: organizationId
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        claimContractAddress:
                          type: string
                          nullable: true
                        csvUrl:
                          type: string
                          format: uri
                          nullable: true
                        dataJobId:
                          type: string
                          format: uuid
                          nullable: true
                        endTime:
                          type: string
                          nullable: true
                        geoBlock:
                          type: array
                          items:
                            type: string
                        id:
                          type: string
                          format: uuid
                        isDraft:
                          type: boolean
                        name:
                          type: string
                        relayerId:
                          type: string
                          format: uuid
                          nullable: true
                        startTime:
                          type: string
                          nullable: true
                        totalAllocatedAmount:
                          type: number
                        totalClaimedAmount:
                          type: number
                        totalWalletsAllocated:
                          type: number
                        updatedAt:
                          type: string
                        contract:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                              nullable: true
                            address:
                              type: string
                            chainId:
                              type: integer
                              format: int64
                          required:
                            - id
                            - name
                            - address
                            - chainId
                        claimAndStake:
                          default: false
                          type: boolean
                        stakingContractType:
                          default: timelock
                          type: string
                          enum:
                            - linear
                            - timelock
                          nullable: true
                        stakingContractAddress:
                          type: string
                          nullable: true
                        maxBonus:
                          default: 0
                          type: number
                        minLockup:
                          default: 0
                          type: number
                        minLockupForMultiplier:
                          default: 0
                          type: number
                        multiplier:
                          default: 0
                          type: number
                        isStakingOptional:
                          default: false
                          type: boolean
                        minPercentageToStake:
                          default: 0
                          type: number
                        erc20Decimals:
                          type: number
                          nullable: true
                      required:
                        - claimContractAddress
                        - csvUrl
                        - dataJobId
                        - endTime
                        - geoBlock
                        - id
                        - isDraft
                        - name
                        - relayerId
                        - startTime
                        - totalAllocatedAmount
                        - totalClaimedAmount
                        - totalWalletsAllocated
                        - updatedAt
                        - contract
                        - stakingContractAddress
                        - erc20Decimals
                required:
                  - data
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Too many requests
                required:
                  - message
                title: Too Many Request Response
                description: Schema for too many request response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````